Skip to content

Shop Related Live Stream List

Introduction

Retrieve the live stream list data related to a specified shop.

Endpoint

bash
    POST /shop/v1/liveList

Request Body

FieldTypeRequiredDescription
filterobjectNoFilter parameters
orderbyarrayNoSorting parameters
pageintegerNoDefault: 1
pagesizeintegerNoDefault: 10

filter Optional Values

FieldTypeRequiredDescription
seller_idstringNoShop ID
creator_uidstringNoCreator UID associated with the shop
creator_unique_idstringNoUnique Creator ID associated with the shop: @xxxxxxx
seller_namestringNoShop Name
regionstringNoCountry/Region of the shop

seller_name and region must be passed at the same time

orderby Optional Values

FieldRequiredDescription
start_timeNoStart Time
product_countNoNumber of products in the live room
total_user_countNoTotal number of viewers
units_soldNoSales Volume
gmvNoSales Amount (GMV)

Request Example

bash
curl 'https://openapi.fastmoss.com/shop/v1/liveList' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "seller_id": "7495500842223700917",
        # "creator_uid": "6913013214088004614",
        # "creator_unique_id": "caffeinecandleschaos",

        # "seller_name": "Caffeine, Candles & Chaos",
        # "region": "US",
    },
    "orderby": [{
        "field": "start_time",
        "order": "desc"
    }],
    # "orderby": [{
    #     "field": "product_count",
    #     "order": "desc"
    # }],
    # "orderby": [{
    #     "field": "total_user_count",
    #     "order": "desc"
    # }],
    # "orderby": [{
    #     "field": "units_sold",
    #     "order": "desc"
    # }],
    # "orderby": [{
    #     "field": "gmv",
    #     "order": "desc"
    # }],
    "page": 1,
    "pagesize": 10
}'

Response Body

data.list

FieldTypeDescription
titlestringLive room title
room_idstringLive room ID
seller_idstringShop ID
uidstringCreator UID associated with the shop
coverstringCover Image URL
main_category_namestringMain promoted category name
main_category_idintMain promoted category ID
start_timeintStart Time
units_soldintSales Volume
gmvfloatSales Amount (GMV)
product_countintNumber of products in the live room
total_userintTotal number of viewers
durationintLive duration (seconds)
max_user_countintMaximum concurrent viewers
inc_follower_countintFollower growth
share_countintNumber of shares
is_liveintIs currently live
live_typeintLive type 1: Shop live 2: Individual live
creatorobjectAssociated creator information

data.list.creator

FieldTypeDescription
uidstringUser ID
nicknamestringUser Nickname
unique_idstringUser Unique ID
avatarstringUser Avatar URL
regionstringUser Country/Region
follower_countintUser Follower Count
category_idintUser Category ID
category_namestringUser Category Name

data.total

FieldTypeDescription
totalstringTotal number of records

Response Example

json
{
  "code": 0,
  "data": {
    "total": 11943,
    "list": [
      {
        "title": "Food and snacks",
        "room_id": "7539139975317703438",
        "cover": "https://s.500fd.com/tt_live/7411364270883588910~tplv-obj.image",
        "main_category_id": 24,
        "main_category_name": "Food & Beverages",
        "creator": {
          "uid": "73083231876554752",
          "avatar": "https://s.500fd.com/tt_author/5aa17bc74b4fd2b91ae364d2a2c6e4d6~tplv-tiktokx-cropcenter:1080:1080.jpeg",
          "region": "US",
          "nickname": "Courtney Luper 🗝️✨",
          "unique_id": "courtneyluper",
          "follower_count": 17183,
          "category_id": 5,
          "category_name": "Food & Beverage"
        },
        "start_time": 1755343248,
        "units_sold": 1939,
        "gmv": 4253.69,
        "product_count": 99,
        "total_user": 84333,
        "duration": 37159,
        "max_user_count": 430,
        "inc_follower_count": 243,
        "share_count": 188,
        "is_live": 0,
        "live_type": 2
      }
    ]
  },
  "message": "success",
  "timestamp": 1773751121,
  "request_id": "76d984e2-e0f8-d04c-dc2d-c1fc9a18ffda"
}